Subject: bug#32431: closed (Re: [bug#32431] [PATCH] gnu: clementine: Drop dependency on qtwebkit.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 Aug 2018 18:36:02 +0000

Your bug report

#32431: [PATCH] gnu: clementine: Drop dependency on qtwebkit.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32431: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32431
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#32431] [PATCH] gnu: clementine: Drop dependency on qtwebkit.
From: Leo Famulari <[email-masked]>
To: Pierre Langlois <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Aug 2018 14:35:26 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Aug 15, 2018 at 07:57:07AM +0100, Pierre Langlois wrote:
> Ah yes, that's expected. when packaging this we agreed not to add any of
> the gst-plugins-{good,bad,ugly} to the inputs and let the user install
> what they want instead [0]. Although, while we defenetely shouldn't add
> 'bad' and 'ugly', I don't see any reason not to add 'good' to make sure
> it all works out of the box. But then, the dialog hints the user should
> install them so that's not so bad as it is.
> 
> Basically, I don't mind either way :-).

Previously, MP3 decoding in GStreamer was in gst-plugins-ugly because
MP3 was patented, but the patents expired and now gst-plugins-good
includes MP3.

I think the package should work as-is for its primary use case (music
playback), so I pushed your patches and also added gst-plugins-good and
gst-libav, ending with commit 8473f8024ceb8e7249702289b206782de7d4c71c.

Subject: [PATCH] gnu: clementine: Drop dependency on qtwebkit.
From: Pierre Langlois <[email-masked]>
To: [email-masked]
Cc: Pierre Langlois <[email-masked]>
Date: Mon, 13 Aug 2018 20:26:21 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello guix!

I realised clementine wasn't building because qtwebkit isn't building
either. But, it turns out that while it's an optional dependency
according to CMakeList.txt, it isn't actually used anywhere in the
code. Here's a patch that removes qtwebkit from its inputs.

>From c32d30001676d80bc9c80ece3ee8c31ec9b72592 Mon Sep 17 00:00:00 2001
From: Pierre Langlois <[email-masked]>
Date: Mon, 13 Aug 2018 09:05:17 +0100
Subject: [PATCH] gnu: clementine: Drop dependency on qtwebkit.

QtWebkit is optionally included in CMakeList.txt but isn't actually used
anywhere in the code.

* gnu/packages/music.scm (clementine)[inputs]: Remove qtwebkit.
---
 gnu/packages/music.scm | 1 -
 1 file changed, 1 deletion(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index c5ee4293b..cf1e0f82f 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -281,7 +281,6 @@ score, keyboard, guitar, drum and controller views.")
          ("pulseaudio" ,pulseaudio)
          ("qtbase" ,qtbase)
          ("qtx11extras" ,qtx11extras)
-         ("qtwebkit" ,qtwebkit)
          ("sqlite" ,sqlite-with-fts3)
          ("sparsehash" ,sparsehash)
          ("taglib" ,taglib)))
-- 
2.18.0

Thanks!
Pierre